ur_rna.GUITester.ScriptParser

## Class TokenMgrError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Error
    - - ur_rna.GUITester.ScriptParser.TokenMgrError

- All Implemented Interfaces:
    java.io.Serializable

      public class TokenMgrError
      extends java.lang.Error

  Token Manager error.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) int` | `errorCode` Indicates the reason why the exception is thrown.
    `(package private) static int` | `INVALID_LEXICAL_STATE` Tried to change to an invalid lexical state.
    `(package private) static int` | `LEXICAL_ERROR` Lexical error occurred.
    `(package private) static int` | `LOOP_DETECTED` Detected (and bailed out of) an infinite loop in the token manager.
    `private static long` | `serialVersionUID` The version identifier for this Serializable class.
    `(package private) static int` | `STATIC_LEXER_ERROR` An attempt was made to create a second instance of a static token manager.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TokenMgrError()` No arg constructor.
    `TokenMgrError(boolean EOFSeen, int lexState, int errorLine, int errorColumn, java.lang.String errorAfter, char curChar, int reason)` Full Constructor.
    `TokenMgrError(java.lang.String message, int reason)` Constructor with message and reason.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static java.lang.String` | `buildMessage(boolean EOFSeen, int lexState, int errorLine, int errorColumn, java.lang.String errorAfter, char curChar)` Returns a detailed message for the error when it is thrown by the token manager to indicate a lexical error.
    `java.lang.String` | `getMessage()` You can also modify the body of this method to customize your error messages.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### errorCode

          int errorCode

      Indicates the reason why the exception is thrown. It will have one of the above 4 values.

    - #### INVALID_LEXICAL_STATE

          static final int INVALID_LEXICAL_STATE

      Tried to change to an invalid lexical state.
      See Also:
        Constant Field Values

    - #### LEXICAL_ERROR

          static final int LEXICAL_ERROR

      Lexical error occurred.
      See Also:
        Constant Field Values

    - #### LOOP_DETECTED

          static final int LOOP_DETECTED

      Detected (and bailed out of) an infinite loop in the token manager.
      See Also:
        Constant Field Values

    - #### serialVersionUID

          private static final long serialVersionUID

      The version identifier for this Serializable class. Increment only if the serialized form of the class changes.
      See Also:
        Constant Field Values

    - #### STATIC_LEXER_ERROR

          static final int STATIC_LEXER_ERROR

      An attempt was made to create a second instance of a static token manager.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TokenMgrError

          public TokenMgrError()

      No arg constructor.

    - #### TokenMgrError

          public TokenMgrError(boolean EOFSeen,
                               int lexState,
                               int errorLine,
                               int errorColumn,
                               java.lang.String errorAfter,
                               char curChar,
                               int reason)

      Full Constructor.

    - #### TokenMgrError

          public TokenMgrError(java.lang.String message,
                               int reason)

      Constructor with message and reason.

  - ### Method Detail

    - #### buildMessage

          protected static java.lang.String buildMessage(boolean EOFSeen,
                                                         int lexState,
                                                         int errorLine,
                                                         int errorColumn,
                                                         java.lang.String errorAfter,
                                                         char curChar)

      Returns a detailed message for the error when it is thrown by the token manager to indicate a lexical error. Parameters : EOFSeen : indicates if EOF caused the lexical error curLexState : lexical state in which this error occurred errorLine : line number when the error occurred errorColumn : column number when the error occurred errorAfter : prefix that was seen before this error occurred curchar : the offending character Note: You can customize the lexical error message by modifying this method.

    - #### getMessage

          public java.lang.String getMessage()

      You can also modify the body of this method to customize your error messages. For example, cases like LOOP_DETECTED and INVALID_LEXICAL_STATE are not of end-users concern, so you can return something like :

      "Internal error : Please file a bug report .... "

      from this method for such cases in the release version of your parser.

      Overrides:
        `getMessage` in class `java.lang.Throwable`